{% extends 'base.html.twig' %}

{% block content %}
    <link rel="stylesheet" href="https://mottie.github.io/tablesorter/docs/css/jquery-ui.min.css">
    <script src="https://mottie.github.io/tablesorter/docs/js/jquery-ui.min.js"></script>
    <link rel="stylesheet" href="https://mottie.github.io/tablesorter/docs/css/jq.css">
    <link rel="stylesheet" href="https://mottie.github.io/tablesorter/docs/css/prettify.css">
    <script src="https://mottie.github.io/tablesorter/docs/js/prettify.js"></script>
    <script src="https://mottie.github.io/tablesorter/docs/js/docs.js"></script>
    <style>/* override the vertical-align top in the blue theme */.notes.tablesorter-blue tbody td { vertical-align: middle; }</style>
    <link rel="stylesheet" href="https://mottie.github.io/tablesorter/css/theme.blue.css">
    <script src="https://mottie.github.io/tablesorter/js/jquery.tablesorter.js"></script>
    <script src="https://mottie.github.io/tablesorter/js/widgets/widget-storage.js"></script>
    <script src="https://mottie.github.io/tablesorter/js/widgets/widget-filter.js"></script>
    <script src="https://mottie.github.io/tablesorter/addons/pager/jquery.tablesorter.pager.js"></script>
    <script src="https://mottie.github.io/tablesorter/beta-testing/pager-custom-controls.js"></script>
    
    
    <link rel="stylesheet" href="https://mottie.github.io/tablesorter/addons/pager/jquery.tablesorter.pager.css">
<script>
    (function($) {
        $.fn.blink = function(options) {
            var defaults = { delay: 500 };
            var options = $.extend(defaults, options);
            return $(this).each(function(idx, itm) {
                var handle = setInterval(function() {
                    if ($(itm).css("visibility") === "visible") {
                        $(itm).css('visibility', 'hidden');
                    } else {
                        $(itm).css('visibility', 'visible');
                    }
                }, options.delay);

                $(itm).data('handle', handle);
            });
        }
        $.fn.unblink = function() {
            return $(this).each(function(idx, itm) {
                var handle = $(itm).data('handle');
                if (handle) {
                    clearInterval(handle);
                    $(itm).data('handle', null);
                    $(itm).css('visibility', 'inherit');
                }
            });
        }
    }(jQuery))
</script>

    <div class="row header bg-primary">
        <div class="mx-auto equipo">
            Unión Adarve <i class="reload glyphicon glyphicon-refresh" style="display: none"></i>
        </div>
    </div>
    <div id="main" class="row">
        <div id="demo" class="col-lg-6 offset-md-3">
        {% if fixtureList is not null or fixtureList is not empty %}
            
            <table id="table" class="tablesorter">
                <thead>
                    <th class="colTitle">Local</th>
                    <th class="colTitle">Visitante</th>
                    <th class="colTitle">Localización</th>
                    <th class="colTitle">Fecha</th>
                    <th class="colTitle">Hora</th>
                    <th class="colTitle">Resultado</th>
                    <th class="colTitle">Partido</th>
                </thead>
                <tbody>
                    
        {% for data in matchData %}

                    <tr>
                        <td {% if data.fixtureList.location == 'García de la Mata' %} class="selfName" >Adarve{% else %}>{{data.fixtureList.rivalName}}{% endif %}</td>
                        <td {% if data.fixtureList.location != 'García de la Mata' %} class="selfName" >Adarve{% else %}>{{data.fixtureList.rivalName}}{% endif %}</td>
                        <td>{{data.fixtureList.location}}</td>
                        <td>{{data.fixtureList.fixtureDate | date("Y-m-d") }}</td>
                        <td>{{data.fixtureList.fixtureDate | date("H:i:s") }}</td>
                        <td>{% if data.fixtureList.fixtureDate < date() %}
                                {% if data.fixtureList.location == 'García de la Mata' %}<span class="selfScore blink">{{data.fixtureList.selfScore}}</span> - {{data.fixtureList.rivalScore}}{% else %}{{data.fixtureList.rivalScore}} - <span class="selfScore blink">{{data.fixtureList.selfScore}}</span>{% endif %}
                                ({% if data.fixtureList.selfScore > data.fixtureList.rivalScore and data.matchData == 'data'%}Ganado{% elseif data.fixtureList.selfScore == data.fixtureList.rivalScore and data.matchData == 'data' %}Empatado{% elseif data.matchData == 'data' %}Perdido{% elseif data.matchData != 'data' %}Sin datos{% endif %})
                            {% else %}
                                No jugado
                            {% endif %}
                        </td>
                        <td>{% if data.matchData == 'data' %}<button value="{{data.fixtureList.id}}" class="view glyphicon glyphicon-eye-open"></button>{% else %}Sin datos{% endif %}</td>
                    </tr>

        {% endfor %}

                </tbody>
                <tfoot>
                    <tr>
                        <td colspan="7">
                            <div class="pager">
                                <nav class="center">
                                        # per page:
                                    <a href="#" class="current">10</a> |
                                    <a href="#">25</a> |
                                    <a href="#">50</a> |
                                    <a href="#">100</a>
                                </nav>
                                <nav class="right">
                                    <span class="prev">
                                        <img src="{{ asset('assets/imgs/prev.png') }}" /> Prev&nbsp;
                                    </span>
                                    <span class="pagecount">
                                    </span>
                                    &nbsp;
                                    <span class="next">Next
                                        <img src="{{ asset('assets/imgs/next.png') }}" />
                                    </span>
                                </nav>
                            </div>
                        </td>
                    </tr>
                </tfoot>
            </table>
            <button type="button" class="reset">Limpiar Filtros</button>                       
        {% else %}
            <h2>No hay datos para mostrar</h2>
        {% endif %}
        </div>
    </div>
    <div class="row">
        <div id="tableContent" class="mx-auto">
        </div>            
    </div>

{% endblock %}

{% block javascripts %}
    <script id="js">
    $(function() {
	// call the tablesorter plugin
	$("#table").tablesorter({
		theme: 'blue',

		// hidden filter input/selects will resize the columns, so try to minimize the change
		widthFixed : true,

		// initialize zebra striping and filter widgets
		widgets: ["zebra","columns", "filter"],

		ignoreCase: false,

		widgetOptions : {

			// filter_anyMatch options was removed in v2.15; it has been replaced by the filter_external option

			// If there are child rows in the table (rows with class name from "cssChildRow" option)
			// and this option is true and a match is found anywhere in the child row, then it will make that row
			// visible; default is false
			filter_childRows : false,

			// if true, filter child row content by column; filter_childRows must also be true
			filter_childByColumn : false,

			// if true, include matching child row siblings
			filter_childWithSibs : true,

			// if true, a filter will be added to the top of each table column;
			// disabled by using -> headers: { 1: { filter: false } } OR add class="filter-false"
			// if you set this to false, make sure you perform a search using the second method below
			filter_columnFilters : true,

			// if true, allows using "#:{query}" in AnyMatch searches (column:query; added v2.20.0)
			filter_columnAnyMatch: true,

			// extra css class name (string or array) added to the filter element (input or select)
			filter_cellFilter : '',

			// extra css class name(s) applied to the table row containing the filters & the inputs within that row
			// this option can either be a string (class applied to all filters) or an array (class applied to indexed filter)
			filter_cssFilter : '', // or []

			// add a default column filter type "~{query}" to make fuzzy searches default;
			// "{q1} AND {q2}" to make all searches use a logical AND.
			filter_defaultFilter : {},

			// filters to exclude, per column
			filter_excludeFilter : {},

			// jQuery selector (or object) pointing to an input to be used to match the contents of any column
			// please refer to the filter-any-match demo for limitations - new in v2.15
			filter_external : '',

			// class added to filtered rows (rows that are not showing); needed by pager plugin
			filter_filteredRow : 'filtered',

			// ARIA-label added to filter input/select; {#{{label}}#} is replaced by the column header
			// "data-label" attribute, if it exists, or it uses the column header text
			filter_filterLabel : 'Filter "{#{{label}}#}" column by...',

			// add custom filter elements to the filter row
			// see the filter formatter demos for more specifics
			filter_formatter : null,

			// add custom filter functions using this option
			// see the filter widget custom demo for more specifics on how to use this option
			filter_functions : null,

			// hide filter row when table is empty
			filter_hideEmpty : true,

			// if true, filters are collapsed initially, but can be revealed by hovering over the grey bar immediately
			// below the header row. Additionally, tabbing through the document will open the filter row when an input gets focus
			// in v2.26.6, this option will also accept a function
			filter_hideFilters : true,

			// Set this option to false to make the searches case sensitive
			filter_ignoreCase : true,

			// if true, search column content while the user types (with a delay).
			// In v2.27.3, this option can contain an
			// object with column indexes or classnames; "fallback" is used
			// for undefined columns
			filter_liveSearch : true,

			// global query settings ('exact' or 'match'); overridden by "filter-match" or "filter-exact" class
			filter_matchType : { 'input': 'exact', 'select': 'exact' },

			// a header with a select dropdown & this class name will only show available (visible) options within that drop down.
			filter_onlyAvail : 'filter-onlyAvail',

			// default placeholder text (overridden by any header "data-placeholder" setting)
			filter_placeholder : { search : '', select : '' },

			// jQuery selector string of an element used to reset the filters
			filter_reset : 'button.reset',

			// Reset filter input when the user presses escape - normalized across browsers
			filter_resetOnEsc : true,

			// Use the $.tablesorter.storage utility to save the most recent filters (default setting is false)
			filter_saveFilters : true,

			// Delay in milliseconds before the filter widget starts searching; This option prevents searching for
			// every character while typing and should make searching large tables faster.
			filter_searchDelay : 300,

			// allow searching through already filtered rows in special circumstances; will speed up searching in large tables if true
			filter_searchFiltered: true,

			// include a function to return an array of values to be added to the column filter select
			filter_selectSource  : null,

			// if true, server-side filtering should be performed because client-side filtering will be disabled, but
			// the ui and events will still be used.
			filter_serversideFiltering : false,

			// Set this option to true to use the filter to find text from the start of the column
			// So typing in "a" will find "albert" but not "frank", both have a's; default is false
			filter_startsWith : false,

			// Filter using parsed content for ALL columns
			// be careful on using this on date columns as the date is parsed and stored as time in seconds
			filter_useParsedData : false,

			// data attribute in the header cell that contains the default filter value
			filter_defaultAttrib : 'data-value',

			// filter_selectSource array text left of the separator is added to the option value, right into the option text
			filter_selectSourceSeparator : '|'
		}
	});
        // initialize tablesorter & pager
        $.tablesorter.customPagerControls({
		table          : "#table",                   // point at correct table (string or jQuery object)
		pager          : ".pager",                   // pager wrapper (string or jQuery object)
		pageSize       : '.left a',                // container for page sizes
		currentPage    : '.right a',               // container for page selectors
		ends           : 2,                        // number of pages to show of either end
		aroundCurrent  : 1,                        // number of pages surrounding the current page
		link           : '<a href="#">{page}</a>', // page element; use {page} to include the page number
		currentClass   : 'current',                // current page class name
		adjacentSpacer : '<span> | </span>',       // spacer for page numbers next to each other
		distanceSpacer : '<span> &#133; <span>',   // spacer for page numbers away from each other (ellipsis = &amp;#133;)
		addKeyboard    : true,                     // use left,right,up,down,pageUp,pageDown,home, or end to change current page
		pageKeyStep    : 10                        // page step to use for pageUp and pageDown
	});
        $("#table").tablesorter().tablesorterPager({
                        // target the pager markup - see the HTML block below
                        container: '.pager',
                        size: 10,
                        output: 'showing: {startRow} to {endRow} ({filteredRows})'
                });
});</script>
<script>
    $(function() {
	// *** widgetfilter_startsWith toggle button ***
	$('button.toggle').click(function() {
		var c = $('#table')[0].config,
		$t = $(this),
		// toggle the boolean
		fsw = !c.widgetOptions.filter_startsWith,
		fic = !c.widgetOptions.filter_ignoreCase;
		if ($t.hasClass('fsw')) {
			c.widgetOptions.filter_startsWith = fsw;
			$('#start').html(fsw.toString());
		} else if ($t.hasClass('fic')) {
			c.widgetOptions.filter_ignoreCase = fic;
			$('#case').html(fic.toString());
		} else {
			$t = c.$headers.eq(1).toggleClass('filter-match');
			$t.find('span').html( $t.hasClass('filter-match') ? '' : ' No' );
		}
		// update search after option change; add false to trigger to skip search delay
		c.$table.trigger('search', false);
		return false;
	});
});
</script>
    <script>
        $('.equipo').mouseenter(function(){
            $('.header').addClass('active');
            $('.reload').show();
        });
        $('#main').click(function(){
            $('.header').removeClass('active');
            $('.reload').hide();
        });
        $('.reload').on('click', function(){
            location.reload();
        })
        $(document).ready(function() {
           $('.blink').blink(100);
        });
        $('.view').on('click', function(){
            var fixtureId = $(this).val();
            $("#tableContent").empty(); // se vacía la tabla del contenido existente
            $.ajax({
                url:'/api/viewData',
                type: 'POST',
                dataType: 'json',
                data:{
                    'fixtureId':fixtureId
                },
                success: function (response) {
                    if(response['allData'] !== null){
                        var longitud = Object.keys(response.allData).length; // obtención del límite del array para ejecutar el loop
                        // inicio estático de la tabla que contendrá los datos del partido
                        $('#tableContent').append('<table><thead><th>Evento</th><th>Jugador</th><th>Minuto</th></thead><tbody>')
                        for(var i=0; i<longitud;i++){
                            // tratamiento de la fecha para aislar horas, minutos y segundos
                            var datetime = new Date(response['allData'][i]['time']['date']);
                            var time = (datetime.getHours()>0?datetime.getHours()+':':'');
                            time += (datetime.getMinutes()<10?'0'+datetime.getMinutes()+':': datetime.getMinutes()+':');
                            time += (datetime.getSeconds()<10?'0'+datetime.getSeconds(): datetime.getSeconds());
                            // tratamiento del resultset para formar el cuerpo de la tabla
                            $("#tableContent").append('<tr class="' + response['allData'][i]['name'] + '">' +
                                '<td>' +
                                response['allData'][i]['name'] +
                                '</td><td>' +
                                response['allData'][i]['player'] +
                                '</td><td>' +
                                time +
                                '</td>'
                            );

                        }
                        // cierre de la tabla
                        $('#tableContent').append('</tbody></table>');
                    }
                },
                timeout:30000,
                error: function(errorThrown){
                         
                    }
              });
        });
    </script>
{% endblock %}

{% block stylesheets %}
    <style>
        body.tablesorter-disableSelection { 
            -ms-user-select: none; 
            -moz-user-select: -moz-none;
            -khtml-user-select: none; 
            -webkit-user-select: none; 
            user-select: none; 
        }
        .tablesorter-resizable-container { 
            position: relative; 
            height: 1px; 
        }
        .tablesorter-resizable-handle { 
            position: absolute; 
            display: inline-block; 
            width: 8px;
            top: 1px; 
            cursor: ew-resize; 
            z-index: 3; 
            user-select: none; 
            -moz-user-select: none; 
        }
	.left { float: left; }
	.right {
		float: right;
		-webkit-user-select: none;
		-moz-user-select: none;
		-khtml-user-select: none;
		-ms-user-select: none;
	}
	.pager .prev, .pager .next, .pagecount { 
            cursor: pointer; 
        }
	.pager a {
		text-decoration: none;
		color: black;
	}
	.pager a.current {
		color: #0080ff;
	}
    </style>
    <style>
        td{
            font-size: 20px;
        }
        .colTitle{
            font-size: 24px !important;
        }
        .selfScore, .selfName{
            color: red !important;
        }
        
        .active{

            height: 70px;
            font-size: 50px;
        }

        #tableContent table{
            
            font-size: 20px;
        }
        #tableContent tr, #tableContent td, #tableContent th{
            min-width: 150px;
            border: 1px solid black;
            text-align: center;
        }
        .gol{
            color: green;
        }
        .amarilla{
            color:orange;
        }
        .roja{
            color: red;
        }

    </style>
{% endblock %}